@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400;500;600;700&family=Roboto:wght@100;300;400;700&display=swap');

:root {
  --main-clr: #2a2c3b;
  --orange-clr: #fdb445;
  --light-orange: #fff7ec;
  --mid-orange: #fdecd0;
  --gray-clr: #f5f6fa;
  --dark-blue: #313348;
  --light-blue: #5b5a68;
}

*, *::after, *::before {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  transition: 450ms;
}

img {
  width: 100%;
  height: auto;
}

a {
  text-decoration: none;
  color: #fff;
}

body {
  font-family: 'Montserrat', sans-serif;
  line-height: 1.5;
  background-color: var(--light-orange);
}

.btn {
  padding: 10px 20px;
  border-radius: 8px;
  display: inline-block;
  color: var(--main-clr);
  font-weight: 700;
}

.btn-primary {
  background: var(--orange-clr);
}

header {
  padding: 0 100px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100px;
  position: fixed;
  width: 100%;
}

.header-logo {
  max-width: 150px;
  position: relative;
}

.header-logo a img {
  width: 100%;
  height: auto;
}


.header-nav {
  display: flex;
  gap: 20px;
  align-items: center;
}

.hero {
  background: linear-gradient(90deg, var(--main-clr) 40%, var(--light-blue)), url(../img/hero.jpg);
  height: 100vh;
  width: 100%;
  background-position: center;
  background-size: cover;
  background-blend-mode: multiply;
  display: flex;
  align-items: center;
  background-attachment: fixed;
}

.hero-content {
  padding: 0 100px;
  display: flex;
  flex-direction: column;
  gap: 50px;

}

.hero-content h2 {
  color: var(--orange-clr);
  font-size: 18px;
}

.hero-content h1 {
  color: #fff;
  font-size: 72px;
  line-height: 1.2;
  max-width: 600px;
}

.hero-content h1 span {
  color: var(--orange-clr);
}

.hero-content p {
  color: var(--light-blue);
}

.hero-content-footer {
  display: flex;
  align-items: center;
  /* justify-content: space-between; */
  gap: 80px;
}

.hero-social-link {
  display: flex;
  align-items: center;
  gap: 30px;
  font-size: 20px;
}

.services {
  padding: 0 100px;
  position: relative;
  top: -120px;
}

.services-container {
  display: flex;
  gap: 40px;
  align-items: center;
}

.service-item {
  background-color: #fff;
  padding: 20px 50px 20px 20px;
  display: flex;
  flex-direction: column;
  gap: 15px;
  border-radius: 8px;
  filter: drop-shadow(3px 3px 15px rgba(0, 0, 0, 0.1));
}

.service-item i {
  font-size: 24px;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 8px;
  color: #fff;
}

.service-item:nth-child(1) i {
  background: var(--orange-clr);
}

.service-item:nth-child(2) i {
  background: #26dd81;
}

.service-item:nth-child(3) i {
  background: #a55eea;
}

.service-item:nth-child(4) i {
  background: #4d7aed;
}

/* .service-item p {
  color: var(--light-blue);
} */

.service-item:hover {
  background: var(--orange-clr);
  color: #fff;

}

.service-item:hover i {
  background: #fff;
  color: var(--orange-clr);
}

.about {
  padding: 0px 100px 100px;
}

.about-conteiner {
  display: flex;
  justify-content: space-between;
  gap: 50px;
}

.about-conteiner article {
  flex: 1 1 50%;
}

.about-info {
  padding-right: 100px;
}

.about-title {
  font-size: 34px;
  font-weight: 700;
  color: var(--main-clr);
}

.about-title span {
  color: var(--orange-clr);
}

.about-conteiner article:first-child {
  display: flex;
  flex-direction: column;
  gap: 50px;
}

.about-conteiner ul {
  list-style: none;
}

.about-conteiner ul li::before {
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  content: '\f00c';
  font-family: "Font Awesome 6 Free"; 
  font-weight: 900;
  margin-right: 10px;
  color: #26dd81;
}

.about-image-information {
  display: flex;
  gap: 20px;
  align-items: center;
  position: absolute;
  bottom: 100px;
  left: -100px;
  background: #fff;
  padding: 20px;
  border-radius: 8px;
  filter: drop-shadow(3px 3px 15px rgba(0, 0, 0, 0.1));
}

.about-image {
  position: relative;
}

.about-image-information i {
  font-size: 24px;
  width: 40px;
  height: 40px;
  border-radius: 8px;
  background: var(--orange-clr);
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
}

.about-image p::after {
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  content: '\f00c';
  font-family: "Font Awesome 6 Free"; 
  font-weight: 900;
  margin-left: 10px;
  color: #26dd81;
}


.counters {
  padding: 100px 100px;
  background: linear-gradient(90deg, var(--light-orange) 30%, var(--mid-orange));
}

.counter-content {
  display: flex;
  align-items: center;
  justify-content: center;
  
}

.counter-item {
  flex: 1 1 auto;
  text-align: center;
}

.counter-item h2 {
  font-size: 42px;
}

.counter-item p {
  color: var(--light-blue);
  font-size: 14px;
  font-weight: 100;
}

.portofolio {
  padding: 100px 100px;
}
.section-header {
  text-align: center;
}

.section-header h3 {
  font-weight: 700;
  color: var(--main-clr);
}

.section-header h2 {
  font-size: 36px;
}

.section-header h2 span {
  color: var(--orange-clr);
}

.potofolio-filter {
  margin-top: 50px;
}

.filter {
  list-style: none;
  display: flex;
  gap: 30px;
  justify-content: center;
  margin-bottom: 40px;
}

.filter-nav-item {
  cursor: pointer;
}

.portofolio-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 50px;
}

.porto-hidden-content {
  opacity: 0;
  width: 100%;
  height: 100%;
  padding: 30px;
  position: absolute;
  top: 0;
  left: 0;
  background-color: var(--mid-orange);
  text-align: center;
  display: flex;
  gap: 20px;
  flex-direction: column;
}

.porto-item {
  height: 250px;
  border-radius: 8px;
  overflow: hidden;
  position: relative;
  display: none;
}

.porto-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.porto-item:hover .porto-hidden-content {
  opacity: 1;
}

.client {
  padding: 100px 100px;
  background: var(--gray-clr);
}

.client-items {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  margin-top: 50px;
}

.cli-item {
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #fff;
  border-radius: 8px;
  filter: drop-shadow(3px 3px 15px rgba(0, 0, 0, 0.1));
}

.cli-item img {
  height: 80%;
  width: auto;
  margin: auto;

  /* object-fit: cover; */
}


footer {
  /* height: 450px; */
  padding: 100px 100px 20px;
  background: var(--dark-blue);
  color: #fff;
}

.footer-content {
  display: flex;
  flex-direction: column;
  gap: 50px;

}

.top-footer {
  display: grid;
  grid-template-columns: 4fr 3fr;
  gap: 50px;
}

/* .top-footer > div {
  flex: 1 1 50%;
} */

.footer-contact {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.footer-contact p {
  font-size: 34px;
  color: var(--orange-clr);
}

.footer-contact p span {
  color: #fff;
}

.footer-contact a {
  font-weight: 300;
}

.footer-contact-info {
  font-size: 12px;
  color: var(--light-blue);

}

.footer-contact-info {
  display: flex;
  gap: 20px;
  flex-direction: column;
}

.footer-contact-info i {
  color: var(--orange-clr);
  margin-right: 5px;
  width: 20px;
}

.bottom-footer {
  padding-top: 30px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-top: 1px solid var(--light-blue);
}

.footer-logo {
  width: 100px;
} 

.footer-social-icon {
  display: flex;
  gap: 20px;
}




/* header scroll */
.header-scroll {
  background: rgba(0, 0, 0, 0.8);
  padding: 5px 100px;
  z-index: 1;
  border-bottom: 1px solid var(--light-blue);
  height: 80px;
}

.header-scroll .header-logo {
  width: 80px;
}



.show {
  display: block;
}

.active {
  color: var(--main-clr);
  font-weight: 700;
  position: relative;
}

.active::after {
  content: '';
  width: 50%;
  height: 2px;
  background: var(--orange-clr);
  position: absolute;
  left: 50%;
  transform: translate(-50%);
  bottom: -5px;
}